/*
head
body
    MathJax_Message
    a
    top_nav - 首页导航栏
        nav_main
            nav_left
            nav_right
    home - 自定义的最大容器 - 博文
        header
            blogTitle - 标题
                lnkBlogLogo
                    blogLogo
                h1
                h2
            navigator - 导航栏
                navList
                    blog_nav_sitehome
                    blog_nav_myhome
                    blog_nav_newpost
                    blog_nav_contact
                    blog_nav_rss
                    blog_nav_admin
                blogStats
                    stats_post_count
                    stats_article_count
                    stats-comment_count
                    stats-total-view-count
        main
            mainContent
                forFlow
                    post_detail
                        topics
                            post
                                postTitle
                                    cb_post_title_url - 博文标题
                                        span
                                        img
                                clear
                                postBody
                                    cnblogs_post_body
                                        class=toc
                                            class=toc-container-header
                                            ul
                                                li::marker
                                        h1-h6
                                        p
                                            code
                                            img
                                        pre
                                    MySignature - 签名
                                    clear
                                    blog_post_info_block - 博文末尾信息
                                        EntryTag - 标签
                                        blog_post_info
                                            green_channel
                                                green_channel_digg
                                                green_channel_follow
                                                green_channel_favorite
                                                green_channel_weibo
                                                green_channel_wechat
                                            author_profile
                                                author_profile_info
                                                    a
                                                        img
                                                    author_profile_detail
                                                        a
                                                        a
                                                        a
                                                clear
                                                author_profile_honor
                                                author_profile_follow
                                postDesc
                    script
                    a !comments
                    blog-comments-placeholder
                    comment_form
            sideBar
            clear
        clear
        footer
    input
    script
    script
    script

*/

@font-face {
  font-family: zhangshixin;
  /* src: url(https://programzsxmall.oss-cn-qingdao.aliyuncs.com/font/YaHei-Consolas-Hybrid.ttf) format("truetype"); */
  src: url(https://programzsxmall.oss-cn-qingdao.aliyuncs.com/font/SourceCodePro-Regular.ttf) format("truetype");
}

* {
  box-sizing: border-box;
}

html {
  overflow: auto;
}

body {
  /* 盒子模型 */
  margin: 0;
  padding: 0;

  /* 样式 */
  color: #351704;
  font-size: 18px;
  font-family: zhangshixin;
  line-height: 2;
  background: #000 url("https://images.cnblogs.com/cnblogs_com/gnuzsx/2132987/o_220326164328_background.jpg") repeat;

}

/* 这是我们博客园首页的东西 */

body>#MathJax_Message {
  /*这是body下面的第一个div元素*/
}

body>#MathJax_Message+a {
  /*body在#MathJax_Message下面还有一个a标签，name是top，这不知道是干啥的。*/
}

body>#top_nav {
  /* 这是body当中的第二个div，不知道是什么东西 */
}


body>#page_begin_html {
  /* 这是body当中的第三个div，不知道是什么东西 */
}


body>#home {
  /* 这是body中的home，正文*/
}

body>#home>#header {
  /* 这是home中的header，正文的头部 */
}

/**** 标题部分 *****/
body>#home>#header>#blogTitle {
  /*
    这是博客的标题和副标题
    1、a标签包裹一个logo图片
    2、h1是标题
    3、h2是副标题
*/
  text-align: center;
  width: 100%;
  display: none;
}

body>#home>#header>#blogTitle>#lnkBlogLogo {
  /* 这是包裹在logo图片外面的链接 */
}

body>#home>#header>#blogTitle>#lnkBlogLogo>#blogLogo {
  /* 这是logo图片 */
  content: url("https://images.cnblogs.com/cnblogs_com/gnuzsx/2040505/o_211004114347%E9%9F%AB%E7%A7%8B-2.png");
  width: 200px;
  height: 200px;
  display: inline-block;
  border: 0px;
  border-radius: 100px;
  /*box-shadow: 0 0 6px 2px rgba(169, 61, 68, 0.6) inset;*/
}

body>#home>#header>#blogTitle+h1 {
  /* 这是博客的标题，默认的font-size是28px，默认的font-weight是700， 默认的line-height是40px */
}


body>#home>#header>#navigator {
  /* 盒子模型 */
  width: auto;
  height: auto;

  /* 样式 */
  background: url(https://images.cnblogs.com/cnblogs_com/gnuzsx/2132987/o_220326161114_jq-global-nav.png) repeat-x 0 bottom #1b1b1b;
  color: #b7a17a;
  text-align: center;
}

body>#home>#header>#navigator>#navList {
  /* 盒子模型 */
  display: inline;
  margin: 0;
  padding-inline-start: 0px;

  /* 样式 */
  list-style: none;
  /*float: right;*/
  text-align: left;
  /*border-left: 1px solid rgba(0, 0, 0, 0.347656);*/
  /*border-right: 1px solid rgba(255, 255, 255, 0.0976562);*/
}

body>#home>#header>#navigator>#navList li {
  display: inline-block;
  /*float: left;*/
  position: relative;
  top: 1px;
  cursor: pointer;
  transition: all 0.2s;
  text-shadow: 0 0 2px #000;
  border-left: 1px solid rgba(255, 255, 255, 0.0976562);
  /*border-right: 1px solid rgba(0, 0, 0, 0.347656);*/
}

body>#home>#header>#navigator>#navList li:last-child {
  border-right: 1px solid rgba(255, 255, 255, 0.0976562);
}

body>#home>#header>#navigator>#navList li>a {
  /* 盒子模型 */
  display: inline-block;
  padding: 0 50px;
  /* 样式 */
  text-decoration: none;
  color: #b7a17a;
}

body>#home>#header>#navigator>.blogStats {
  display: none;
}


/* body > #home > #main */
body>#home>#main {
  /* 盒子模型 */
  padding: 30px;
  margin: 15px 200px;
  /*background: rgba(44, 158, 52, 0.25);*/
  background-color: #efefef;
  border-radius: 10px;
  display: flex;
}

body>#home>#main>#mainContent {
  width: 100%;
}

body>#home>#main>#mainContent>.forFlow {}

body>#home>#main>#mainContent>.forFlow .day {
  display: none;
}

body>#home>#main>#mainContent>.forFlow>#post_detail {}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics {}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post {}

/*
  这是博文，标题区域的设置
*/
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postTitle {
  text-align: center;
}

#cb_post_title_url > img:nth-child(2) {
  display: none;
}

#cb_post_title_url > img:nth-child(3) {
  display: none;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postTitle>#zsxEntryTag {
  display: none;
  text-decoration: none;
  border: 3px double #351704;
  width: 30%;
  margin: auto;
  margin-top: 20px;
  color: #351704;
  padding: 2px 0px 1px;
  transition: background-position 120ms ease-in-out 0s, padding 120ms ease-in-out 0s;
  background-size: 100% 200%;
  word-break: break-word;
  background-image: linear-gradient(transparent 0%, transparent calc(50% - 9px), rgba(255, 102, 102, 0.5) calc(50% - 9px), rgba(255, 102, 102, 0.5) 100%);
  background-position: 0px -15px;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postTitle>#zsxEntryTag:hover {
  background-image: linear-gradient(transparent 0%, transparent calc(50% - 9px), rgba(255, 102, 102, 0.5) calc(50% - 9px), rgba(255, 102, 102, 0.5) 100%);
  background-position: 0px 100%;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postTitle>#cb_post_title_url {
  text-decoration: none;
  display: inline-block;
  border-radius: 5px;
  border: 5px solid #351704;
  padding: 5px 10px;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postTitle>#cb_post_title_url {
  color: #351704;
}

/*
  这是博文，标题区域之后的clear设置
*/
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.clear {}

/*
  这是博文，内容区域的设置
*/
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody {}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body {}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body>.toc a {
  text-decoration: none;
  color: #009788;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h1,
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h2,
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h3,
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h4,
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h5,
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h6 {
  /* 这是博文中的，标题1到标题6 */

  /* 盒子模型 */
  /*border-bottom: 1px solid #cccccc;*/
  margin: 10px 0;
  padding: 0px 0px;
  padding-right: 10px;
  /* width: fit-content;*/
  border-radius: 5px;

  /* 样式 */
  background-color: #e4e5e5;
  font-size: 18px;
  font-weight: bold;
}

strong {
  color: #4285f4;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h1>span,
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h2>span,
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h3>span,
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h4>span,
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h5>span,
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body h6>span {
  /* 盒子模型 */
  display: inline-block;
  border-radius: 5px;
  padding: 3px 10px;
  margin-right: 10px;

  /* 样式 */
  background: rgba(255, 102, 102, 0.8);
  color: #fddfdd;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body p {
  /* 这是博文中的，段落 */
}

/*
到这里，引用，开始。
*/
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body blockquote {
  background-color: rgba(255, 229, 100, .3);
  border-color: #e7c000;
  color: #6b5900;
  padding: 10px 15px;
  border-left-width: .1rem;
  border-left-style: solid;
  margin: 0.1rem 0;
}

/*
body > #home > #main > #mainContent > .forFlow > #post_detail > #topics > .post > .postBody > #cnblogs_post_body > #ct {
height: auto;
width: 80%;
border: 1px solid #ff6666;
margin: 10px auto;
text-align: center;
position: relative;
color: #fff;
padding: 15px;
}

body > #home > #main > #mainContent > .forFlow > #post_detail > #topics > .post > .postBody > #cnblogs_post_body blockquote {
border-left: 0px solid #e2dfdf;
margin: 0;
position: relative;
top: -20px;
}

body > #home > #main > #mainContent > .forFlow > #post_detail > #topics > .post > .postBody > #cnblogs_post_body > #ct > span {
background: #efefef;
color: #ff6666;
padding: 0 10px;
font-size: 20px;
position: relative;
top: -36px;
}

body > #home > #main > #mainContent > .forFlow > #post_detail > #topics > .post > .postBody > #cnblogs_post_body > #ct > .corner {
height: 30px;
width: 30px;
border-radius: 50%;
border: 1px solid #fff;
transform: rotate(-45deg);
position: absolute;
background: #efefef;
}
body > #home > #main > #mainContent > .forFlow > #post_detail > #topics > .post > .postBody > #cnblogs_post_body > #ct > #blockquote_left_top {
top: -16px;
left: -16px;
border-color: transparent transparent #ff6666 transparent;
}

body > #home > #main > #mainContent > .forFlow > #post_detail > #topics > .post > .postBody > #cnblogs_post_body > #ct > #blockquote_right_top {
top: -16px;
right: -16px;
border-color: transparent transparent transparent #ff6666;
}

body > #home > #main > #mainContent > .forFlow > #post_detail > #topics > .post > .postBody > #cnblogs_post_body > #ct > #blockquote_left_bottom {
bottom: -16px;
left: -16px;
border-color: transparent #ff6666 transparent transparent;
}

body > #home > #main > #mainContent > .forFlow > #post_detail > #topics > .post > .postBody > #cnblogs_post_body > #ct > #blockquote_right_bottom {
bottom: -16px;
right: -16px;
border-color: #ff6666 transparent transparent transparent;
}

body > #home > #main > #mainContent > .forFlow > #post_detail > #topics > .post > .postBody > #cnblogs_post_body > #ct p {
padding-top: 0px;
font-size: 18px
}
*/

/*
到这里，引用，结束。
*/

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body table {
  border-collapse: collapse;
  /* margin: 25px 0; */
  /* font-size: 18px; */
  margin: auto;
  min-width: 400px;
  border-radius: 5px 5px 0 0;
  overflow: hidden;
  /* box-shadow: 0 0 20px rgba(0, 0, 0, 0.15); */
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body table thead tr {
  background-color: #009879;
  color: #351704;
  text-align: left;
  font-weight: bold;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body table th {
  background-color: #009879;
  color: #efefef;
  /*padding: 12px 15px;*/
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body table td {
  /*padding: 12px 15px;*/
}

/*
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body table tbody tr {
  border-bottom: 1px solid #dddddd;
}
*/

/*
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body table tbody tr:nth-of-type(even) {
  background-color: #f3f3f3;
}


body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body table tbody tr:last-of-type {
  border-bottom: 2px solid #009879;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body table tbody tr.active-row {
  font-weight: bold;
  color: #009879;
}
*/

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body hr {
    border: 0;
    display: block;
    height: 10px;
    width: 50%;
    position: relative;
    margin: 30px auto;
    background: rgba(255, 102, 102, .5);
    overflow: visible;
  /*
  text-align: center;
  display: block;
  line-height: 1px;
  height: 1px;
  margin: 2rem 0;
  background: #fa8080;
*/
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body .hljs-ln {
  border-collapse: collapse;
  margin: 0px 0;
  font-size: 18px;
  min-width: 400px;
  border-radius: 5px 5px 0 0;
  overflow: hidden;
  /*box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);*/
}

body > #home > #main > #mainContent > .forFlow > #post_detail > #topics > .post > .postBody > #cnblogs_post_body hr:before {
content: "";
color: #ff6666;
display: inline-block;
position: absolute;
top: -3px;
left: 50%;
margin: 0 0 0 -3px;
font-size: 30px;
line-height: 0;
text-shadow: 0 0 3px #d9d9d9;
}


body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body p a {
  /* 这是博文中的，链接 */
  background-color: transparent;
  outline: none;
  text-decoration: none;
  color: black;
  padding: 2px 0px 1px;
  transition: background-position 120ms ease-in-out 0s, padding 120ms ease-in-out 0s;
  background-size: 100% 200%;
  word-break: break-word;
  background-image: linear-gradient(transparent 0%, transparent calc(50% - 9px), rgba(255, 102, 102, 0.5) calc(50% - 9px), rgba(255, 102, 102, 0.5) 100%);
  background-position: 0px 0px;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body p a:hover {
  background-image: linear-gradient(transparent 0%, transparent calc(50% - 9px), rgba(255, 102, 102, 0.5) calc(50% - 9px), rgba(255, 102, 102, 0.5) 100%);
  background-position: 0px 100%;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body p>img:only-child {
  /* 这是博文中，段落内的，图片 */
  /* 盒子模型 */
  display: block;
  max-width: 100%;
  vertical-align: middle;
  margin: auto;

  /* 2022年12月11日注释掉前两行  */
  border: 2px solid #f7aaaa;
  /*border-radius: 5px;*/
  /*background-color: #282a36;*/
  /*box-shadow: 0 0 6px 2px rgba(240, 119, 43, 0.6) inset;*/
  /* 2022年12月11日添加这两行 */
  border-radius: 5px;
  box-shadow: 0 5px 11px 0 rgba(0,0,0,0.18), 0 4px 15px 0 rgba(0,0,0,0.15);
}

/* .cnblogs-markdown :not(pre,div,td)>code, .blogpost-body :not(pre,div,td)>code */
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body>#cnblogs_post_body :not(pre, div, td)>code,
.blogpost-body :not(pre, div, td)>code {
  font-family: zhangshixin, "Courier New", sans-serif;
  /* 博客园对code的字体大小有设置，不能继承body当中自定义的大小，所以这里我们要再设置一遍 */
  font-size: 18px;
  /*padding: 0 0px;*/
  line-height: 1.8;
  margin: 0 3px;
  display: inline-block;
  overflow-x: auto;
  vertical-align: middle;
  border-radius: 3px;
  background-color: #f8f5ec;
  color: #ff6666;
  vertical-align: middle;
}

.cnblogs-markdown :not(pre,div)>code, .blogpost-body:not(.cnblogs-markdown) :not(pre,div,td)>code {
  font-family: zhangshixin, "Courier New", sans-serif;
  font-size: 18px;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body pre {
  /* 这是博文中的，代码 */
  /*
    代码设置
    代码高亮开始，
    使用了一个叫Monokai Sublime的黑色主题皮肤，
    直接拿过来还不行，有一些样式冲突，
    还要自己稍微改一些地方
    Monokai Sublime style
    Derived from Monokai by noformnocontent https://nn.mit-license.org/
*/
  /*控制代码不换行*/
  white-space: pre;
  word-wrap: normal;

  margin-bottom: 15px;
  margin-top: 15px;
  padding: 10px;
  color: #ffffff;
  background-color: #282a36;
  border: 1px solid #282a36;
  border-radius: 5px;
  font-size: 14px;
  box-shadow: 0 0 6px 2px rgba(240, 119, 43, 0.6) inset;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body pre>code {
  /* 这是博文中的代码 */
  display: block;
  overflow-x: auto;
  padding: 0.5em;
  /*background: #23241f !important;*/
  white-space: pre;
  word-break: normal;

  color: #ffffff;
  background: #282a36;
  font-family: zhangshixin, "Courier New", sans-serif;
  font-size: 18px;
  border: 0px solid #ccc;
  border-radius: 3px;
  transition-property: color, opacity, border-color, padding-top, padding-bottom, margin-top, margin-bottom, height;
  line-height: 1.5;
  margin: 0;
  white-space: pre-wrap;
  display: block;
  overflow-x: auto;
  /*padding: 1em;*/
}

/* 这是博文代码，高亮设置 */
.hljs,
.hljs-tag,
.hljs-subst {
  color: #f8f8f2;
}

.hljs-strong,
.hljs-emphasis {
  color: #a8a8a2;
}

.hljs-bullet,
.hljs-quote,
.hljs-number,
.hljs-regexp,
.hljs-literal,
.hljs-link {
  color: #ae81ff;
}

.hljs-code,
.hljs-title,
.hljs-section,
.hljs-selector-class {
  color: #a6e22e;
}

.hljs-strong {
  font-weight: bold;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-name,
.hljs-attr {
  color: #f92672;
}

.hljs-symbol,
.hljs-attribute {
  color: #66d9ef;
}

.hljs-params,
.hljs-class .hljs-title {
  color: #f8f8f2;
}

.hljs-string,
.hljs-type,
.hljs-built_in,
.hljs-builtin-name,
.hljs-selector-id,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-addition,
.hljs-variable,
.hljs-template-variable {
  color: #e6db74;
}

.hljs-comment,
.hljs-deletion,
.hljs-meta {
  color: #75715e;
}

/*
  到这里，博文代码，高亮设置结束
*/

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body>#MySignature {}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#cnblogs_post_body>#clear {}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#MySignature {
  display: none;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>.clear {}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#blog_post_info_block {
    display: none;
    height: auto;
    width: 100%;
    text-align: center;
    border: 1px solid #351704;
    border-radius: 5px;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#blog_post_info_block>#EntryTag{  }

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#blog_post_info_block>#EntryTag>a{ 
  text-decoration: none;
  color: #eb3941; 
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#blog_post_info_block>#blog_post_info{ display: none; }

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#blog_post_info_block>.clear{ display: none; }

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postBody>#blog_post_info_block>#post_next_prev{ display: none; }

/*
  这是博文，正文结束后，描述区域的设置
*/
body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postDesc {
  display: none;
}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postDesc a {}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postDesc>#post-date {}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postDesc>#post_view_count {}

body>#home>#main>#mainContent>.forFlow>#post_detail>#topics>.post>.postDesc>#post_comment_count {}


/* #post_detail下面有一小段javascript代码 */

/*
这是博文评论区 - 开始
*/
body>#home>#main>#mainContent>.forFlow>#post_detail~a {
  /* 盒子模型 */
  /*display: block;*/
  display: none;
  height: 200px;
  width: 100%;
  margin: 10px 0;

  /* 样式 */
  background: rgba(251, 34, 240, 0.25);
}

body>#home>#main>#mainContent>.forFlow>#blog-comments-placeholder {
  /* 盒子模型 */
  /*display: block;*/
  display: none;
  height: 200px;
  width: 100%;
  margin: 10px 0;
  /* 样式 */
  background: rgba(225, 211, 20, 0.25);
}

body>#home>#main>#mainContent>.forFlow>#blog-comments-placeholder:empty {
  /* 盒子模型 */
  /*display: block;*/
  display: none;
  height: 200px;
  width: 100%;
  margin: 10px 0;
  /* 样式 */
  background: rgba(225, 211, 20, 0.25);
}

/*
这是博文评论区 - 结束
*/

/*
  这是文章的，comment_form 评论区表单 - 开始
*/

body>#home>#main>#mainContent>.forFlow>#comment_form {
  /* 样式 */
  display: none;
  background: rgba(14, 251, 252, 0.25);
}

body>#home>#main>#mainContent>.forFlow>#comment_form {}

body>#home>#main>#mainContent>.forFlow>#comment_form>a {}

body>#home>#main>#mainContent>.forFlow>#comment_form>#divCommentShow {}

body>#home>#main>#mainContent>.forFlow>#comment_form>#comment_nav {}

body>#home>#main>#mainContent>.forFlow>#comment_form>#comment_form_container {}

body>#home>#main>#mainContent>.forFlow>#comment_form>#cnblogs_ch {}

body>#home>#main>#mainContent>.forFlow>#comment_form>#opt_under_post {}

body>#home>#main>#mainContent>.forFlow>#comment_form>#cnblogs_c1 {}

/*
  这是文章的，comment_form 评论区表单 - 结束
*/

body>#home>#main>#mainContent>.forFlow>#comment_form>#under_post_card1 {
  /* 这是编辑推荐 */
}


body>#home>#main>#mainContent>.forFlow>#comment_form>#HistoryToday {
  /* 这是历史上的今天 */
}

/*-------------------------------------------------
  comment_form 评论区表单 - 结束
  forFlow - 结束
  mainContent - 结束，也就是main的内容容器结束
-------------------------------------------------*/

/*body > #home > #main > #sideBar*/
/*body > #home > #main > #sideBar > #sideBarMain*/
/*body > #home > #main > #sideBar > #sideBarMain > #sidebar_c3*/
/*body > #home > #main > #sideBar > #sideBarMain > #blog-calendar*/
/* 这里有一个小脚本，loadBlogDefaultCalendar(); */
/*body > #home > #main > #sideBar > #sideBarMain > #leftcontentcontainer*/
/*body > #home > #main > #sideBar > #sideBarMain > #leftcontentcontainer > #blog-sidecolumn*/
/*body > #home > #main > #sideBar > #sideBarMain > #leftcontentcontainer > #blog-sidecolumn > #sidebar_search*/
/*body > #home > #main > #sideBar > #sideBarMain > #leftcontentcontainer > #blog-sidecolumn > #sidebar_categories */
/* 这里有一个小脚本，loadBlogSideColumn(); */

body>#home>#main>#sideBar {
  display: flex;
  flex-direction: column;
  justify-content: space-around;

  width: 15%;
  height: 100%;
  margin-left: 10px;
  border-radius: 5px;
  border: 1px #fa8080 solid;
  background: #efefef;
  text-align: center;
}

body>#home>#main>#sideBar h2{
  color: #351704;
  font-family: zhangshixin;
  line-height: 1;
  font-size: 18px;
}

body>#home>#main>#sideBar a {
  background-color: transparent;
  outline: none;
  text-decoration: none;
  color: black;
  padding: 2px 0px 1px;
  transition: background-position 120ms ease-in-out 0s, padding 120ms ease-in-out 0s;
  background-size: 100% 200%;
  word-break: break-word;
  background-image: linear-gradient(transparent 0%, transparent calc(50% - 9px), rgba(255, 102, 102, 0.5) calc(50% - 9px), rgba(255, 102, 102, 0.5) 100%);
  background-position: 0px 0px;
}

body>#home>#main>#sideBar a:hover {
  background-image: linear-gradient(transparent 0%, transparent calc(50% - 9px), rgba(255, 102, 102, 0.5) calc(50% - 9px), rgba(255, 102, 102, 0.5) 100%);
  background-position: 0px 100%;
}

body>#home>#main>#sideBar>#sideBarMain>#leftcontentcontainer>#blog-sidecolumn>#sidebar_categories {}


/* body - home - main - clear */
body>#home>#main>.clear {}


body>#home>#main+.clear {}

/***********************************************************************************************************************
*******************************************************   这是footer   *************************************************
***********************************************************************************************************************/

body>#home>#footer {
  display: none;
}

/***********************************************************************************************************************
************************************************************************************************************************
************************************************************************************************************************
************************************************************************************************************************
*******************************************************   这是【页尾HTML部分】  ******************************************
************************************************************************************************************************
************************************************************************************************************************
************************************************************************************************************************
************************************************************************************************************************
***********************************************************************************************************************/

body>#page_end_html {
  /*
    这是我上传的静态css文件。
    https://blog-static.cnblogs.com/files/study-everyday/jajian.catalog.css
    这也是我上传的静态的js文件。
    https://cdn.bootcss.com/bootstrap/3.2.0/js/bootstrap.min.js
    这都是为了目录、图片的样式设置的。
*/
}

body>#page_end_html+input {
  /* 这里有一个type是hidden的，id是antiforgery_token的输入框，这是防伪token，这是干啥用的，不知道*/
}

/*
在这后面，还有三个script
1、https://www.googletagmanager.com/gtag/js?id=UA-476124-1
2、window.dataLayer
3、https://hm.baidu.com/hm.js?866c9be12d4a814454792b1fd0fed295
*/

body>.postDesc2 {
  display: none;
}